package eshopcxfservice;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-04-11T12:12:05.806+02:00
 * Generated source version: 3.4.3
 *
 */
@WebServiceClient(name = "PropertySetterImplService",
                  wsdlLocation = "http://localhost:8080/eshopCXFService/wsdl/propertysetterimpl.wsdl",
                  targetNamespace = "http://eshopCXFService/")
public class PropertySetterImplService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://eshopCXFService/", "PropertySetterImplService");
    public final static QName PropertySetterImplPort = new QName("http://eshopCXFService/", "PropertySetterImplPort");
    static {
        URL url = null;
        try {
            url = new URL("http://localhost:8080/eshopCXFService/wsdl/propertysetterimpl.wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(PropertySetterImplService.class.getName())
                .log(java.util.logging.Level.INFO,
                     "Can not initialize the default wsdl from {0}", "http://localhost:8080/eshopCXFService/wsdl/propertysetterimpl.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public PropertySetterImplService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public PropertySetterImplService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public PropertySetterImplService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public PropertySetterImplService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public PropertySetterImplService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public PropertySetterImplService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }




    /**
     *
     * @return
     *     returns PropertySetter
     */
    @WebEndpoint(name = "PropertySetterImplPort")
    public PropertySetter getPropertySetterImplPort() {
        return super.getPort(PropertySetterImplPort, PropertySetter.class);
    }

    /**
     *
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns PropertySetter
     */
    @WebEndpoint(name = "PropertySetterImplPort")
    public PropertySetter getPropertySetterImplPort(WebServiceFeature... features) {
        return super.getPort(PropertySetterImplPort, PropertySetter.class, features);
    }

}
